Bug 522923 - module-restore-default-device needs to take notice of devices coming and going
Summary: module-restore-default-device needs to take notice of devices coming and going
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 539527 (view as bug list)
Depends On:
Blocks: 571803
TreeView+ depends on / blocked
 
Reported: 2009-09-12 08:44 UTC by Chris Ward
Modified: 2012-08-16 22:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 571803 (view as bug list)
Environment:
Last Closed: 2012-08-16 22:05:32 UTC


Attachments (Terms of Use)

Description Chris Ward 2009-09-12 08:44:22 UTC
Description of problem:
When i plug in USB speakers to my Thinkpad T61 laptop (intel sound), they are auto-selected as the output device. This is good. But when i try to use the volume control, it doesn't actually control the usb speaker volume. Instead, it's still controlling the internal speakers. I have to manually open gnome-volume-control, go to Output tab and select the USB speakers as output device. Then the volume controls work as expected.

Version-Release number of selected component (if applicable):
pulseaudio-0.9.16-13.test7.fc12.x86_64
gnome-media-2.27.91-1.fc12.x86_64

rpm -qa \*alsa\*
alsa-plugins-pulseaudio-1.0.21-2.fc12.i686
alsa-lib-1.0.21-1.fc12.i686
alsa-utils-1.0.21-2.fc12.x86_64
alsa-plugins-pulseaudio-1.0.21-2.fc12.x86_64
alsa-lib-1.0.21-1.fc12.x86_64

How reproducible:
always

Steps to Reproduce:
1. play sound on laptop with internal speakers
2. plug in usb speakers
3. try to control volume with the gnome-volume-control
  
Actual results:
volume isn't affected

Expected results:
usb speaker volume would be controled as expected

Additional info

lsmod |grep hda
snd_hda_codec_analog    78528  1 
snd_hda_intel          31528  3 
snd_hda_codec          80448  2 snd_hda_codec_analog,snd_hda_intel
snd_hwdep               9792  1 snd_hda_codec
snd_pcm                90360  3 snd_hda_intel,snd_hda_codec
snd                    74776  11
snd_hda_codec_analog,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_timer
snd_page_alloc         10464  2 snd_hda_intel,snd_pcm

Comment 1 Lennart Poettering 2009-09-16 21:09:31 UTC
Hmm, this is unfortunately not easy to fix. Probably something for post-F12.

Comment 2 Bug Zapper 2009-11-16 12:18:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Lennart Poettering 2009-11-20 17:51:35 UTC
*** Bug 539527 has been marked as a duplicate of this bug. ***

Comment 4 Chris Ward 2010-03-09 15:23:58 UTC
Still a problem for me in F12. Would love for this fix.

Comment 5 Bug Zapper 2010-11-04 10:04:32 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-12-05 06:25:42 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Chris Ward 2010-12-06 10:41:09 UTC
This is still a problem and valid request.

Comment 8 Fedora End Of Life 2012-08-16 22:05:36 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.